Delete task by ID
curl --request DELETE \
--url https://apiweb.mile.app/api/v3/task/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/task/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/task/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"task": {
"_id": "6352736c628401059b37a2e2",
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"startTime": "2022-11-02T07:28:23+00:00",
"organizationId": "634e98098ce07d29474a7e22",
"status": "UNASSIGNED",
"hub": {
"_id": "634e98498ce07d29474a7e29",
"name": "Jakarta",
"lat": -6.205154152722965,
"lng": 106.84667067970608
},
"orderIndex": 10,
"field1": "Jack Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"createdFrom": "API",
"endTime": "2022-11-05T07:28:23+00:00",
"createdBy": "Roger",
"createdTime": "2022-11-01T07:28:23+00:00"
}
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Task
Delete task by ID
Permanently deletes a single task from the system. This action cannot be undone.
DELETE
/
task
/
{id}
Delete task by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the task that generated by system.
Example: 6352736c628401059b37a2e2